---
lang: en
title: 'API docs: openapi-v3.restendpoint'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/openapi-v3
permalink: /doc/en/lb4/apidocs.openapi-v3.restendpoint.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/openapi-v3](./openapi-v3.md) &gt; [RestEndpoint](./openapi-v3.restendpoint.md)

## RestEndpoint interface

Data structure for REST related metadata

**Signature:**

```typescript
export interface RestEndpoint 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[path](./openapi-v3.restendpoint.path.md)


</td><td>


</td><td>

string


</td><td>


</td></tr>
<tr><td>

[spec?](./openapi-v3.restendpoint.spec.md)


</td><td>


</td><td>

OperationObject


</td><td>

_(Optional)_


</td></tr>
<tr><td>

[verb](./openapi-v3.restendpoint.verb.md)


</td><td>


</td><td>

string


</td><td>


</td></tr>
</tbody></table>


